cURL
curl --request PATCH \ --url https://api.letpiper.com/v1/orgs/{org_id}/triggers/{trigger_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "status": "active", "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "message": "<string>", "cron_expression": "<string>", "timezone": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "trigger_type": "scheduled", "status": "active", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "message": "<string>", "cron_expression": "<string>", "timezone": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "webhook_url": "<string>" }
Platform token (starts with pat_)
1 - 255
active
inactive
Successful Response
scheduled
webhook